---
# Test sync option
- name: Clean up
  julien_lecomte.proxmox.realm:
    name: "test_realm"
    state: "absent"

- name: Create test realm
  julien_lecomte.proxmox.realm:
    name: "test_realm"
    state: "present"
    base_dn: "CN=Users"
    server1: "corp.example.com"
    user_attr: "uid"
    type: "ldap"
  register: tests__realm_01

- name: Sync test realm
  julien_lecomte.proxmox.realm:
    name: "test_realm"
    sync: True
    sync_options:
      scope: "groups"
      full: False
      purge: False
      dry_run: True
  register: tests__realm_02

- name: Assert return values
  ansible.builtin.assert:
    that:
      - "tests__realm_02 is not changed"

- name: Clean up
  julien_lecomte.proxmox.realm:
    name: "test_realm"
    state: "absent"
